# MatchService

### Functions

#### getHost(): [Player](/scripting/bedwars-scripting/objects/player.md)

Returns the Player that is currently hosting the match.

**getPlayerRole(player:** [**Player**](/scripting/bedwars-scripting/objects/player.md)**):** [**MatchRole**](/scripting/bedwars-scripting/types/matchrole.md) **| nil**

Returns the MatchRole of a player if it exists.

#### getMatchDurationSec(): number

Returns amount of time in seconds since the match started (returns 0 if still in pre-game).

#### getMatchState(): [MatchState](broken://pages/mFMfVqP3E5zlAaRUtVuX)

Returns current match state.

#### endMatch(winningTeam: [Team](broken://pages/6PuAKjrs1tS1aGXEXoFy) | nil)

Ends the match with a specified winning team (or nil to cause a tie game).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/services/matchservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
